# 关于 Vben Admin

::: info 你正在阅读的是 [Vben Admin](https://github.com/vbenjs/vue-vben-admin) 的文档！

- Vben Admin 2.x 目前已经存档，只修复一些严重的问题。
- 新版本与旧版本不兼容，如果你使用的是旧版本，请查看 [Vue Vben Admin 2.x 文档](https://doc.vvbin.cn)
- 如发现文档有误，欢迎提提交 Issue 帮助我们改进。
- 如果你只是想体验一下，你可以查看 [快速开始](./quick-start.md)。

:::

[Vben Admin](https://github.com/vbenjs/vue-vben-admin) 是一个基于 [Vue3.0](https://github.com/vuejs/core)、[Vite](https://github.com/vitejs/vite)、 [TypeScript](https://www.typescriptlang.org/) 的后台解决方案，目标是为开发中大型项目提供开箱即用的解决方案。包括二次封装组件、utils、hooks、动态菜单、权限校验、多主题配置、按钮级别权限控制等功能。项目会使用前端较新的技术栈，可以作为项目的启动模版，以帮助你快速搭建企业级中后台产品原型。也可以作为一个示例，用于学习 `vue3`、`vite`、`ts` 等主流技术。该项目会持续跟进最新技术，并将其应用在项目中。

## 特点

- **最新技术栈**：使用 `Vue3`、`Vite`、`TypeScript` 等前端前沿技术开发。
- **国际化**：内置完善的国际化方案，支持多语言切换。
- **权限验证**：完善的权限验证方案，按钮级别权限控制。
- **多主题**：内置多种主题配置&黑暗某事，满足个性化需求。
- **动态菜单**：支持动态菜单，可以根据权限配置显示菜单。
- **Mock 数据**：基于 Nitro 的本地高性能 Mock 数据方案。
- **组件丰富**：提供了丰富的组件，可以满足大部分的业务需求。
- **规范**：代码规范，使用 `ESLint`、`Prettier`、`Stylelint`、`Publint`、`cspell` 等工具保证代码质量。
- **工程化**：使用 `Pnpm Monorepo`、`TurboRepo`、`Changeset` 等工具，提高开发效率。
- **多UI库支持**：支持 `Ant Design Vue`、`Element Plus`、`Vuetify` 等主流 UI 库，不再限制于特定框架。

## 浏览器支持

**本地开发**推荐使用`Chrome 最新版`浏览器，**不支持**`Chrome 80`以下版本。

**生产环境**支持现代浏览器，不支持 IE。

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/archive/internet-explorer_9-11/internet-explorer_9-11_48x48.png" alt="IE" width="24px" height="24px"  />](http://godban.github.io/browsers-support-badges/)IE | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt=" Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)Safari |
| :-: | :-: | :-: | :-: | :-: |
| not support | last 2 versions | last 2 versions | last 2 versions | last 2 versions |

## 贡献

- [Vben Admin](https://github.com/vbenjs/vue-vben-admin) 还在持续更新中，本项目欢迎您的参与，共同维护，逐步完善，打造更好的中后台解决方案。
- 如果你想加入我们，可以多提供一些好的建议或者提交 pr，我们会根据你的活跃度邀请你加入。

::: info 加入我们

如果你想加入我们，你可以从以下几个方面开始，我们会根据你的活跃度邀请你加入：

- 长期提交 `PR`。
- 提供一些好的建议。
- 参与讨论，帮助解决一些 `issue`。
- 共同维护文档。

:::
